%
%   plot the accelerometer data and then the spectra
%
clear
clf 
%
%  longboard soft, L- 8'0" 
%
load long_soft.dat
t=long_soft(:,1);
ax=long_soft(:,2);
ay=long_soft(:,3);
az=long_soft(:,4);
%
% plot the time series
%
figure(1)
subplot(3,1,1),plot(t,ax),ylabel('ax');title('long soft')
subplot(3,1,2),plot(t,ay),ylabel('ay')
subplot(3,1,3),plot(t,az),ylabel('az'),xlabel('time(s)')
%pause
%
%  compute the power spectrum using the Welch modified periodgram method
%
figure(2)
Fs=1024;
[Px,freq] = pwelch(ax,[],[],[],Fs);
[Py,freq] = pwelch(ay,[],[],[],Fs);
[Pz,freq] = pwelch(az,[],[],[],Fs);
subplot(3,1,1),plot(freq,Px),ylabel('Px');title('long soft');grid
subplot(3,1,2),plot(freq,Py),ylabel('Py');grid
subplot(3,1,3),plot(freq,Pz),ylabel('Pz'),xlabel('frequency (Hz)');grid
