%
%   plot the accelerometer data and then the spectra
%
clear
clf 
%
%  shortboard fiberepoxy, L- 6'0" W- 19 3/4" T- 2 1/4"
%
load short_epoxy.dat
t=short_epoxy(:,1);
ax=short_epoxy(:,2);
ay=short_epoxy(:,3);
az=short_epoxy(:,4);
%
% plot the time series
%
figure(1)
subplot(3,1,1),plot(t,ax),ylabel('ax');title('short epoxy')
subplot(3,1,2),plot(t,ay),ylabel('ay')
subplot(3,1,3),plot(t,az),ylabel('az'),xlabel('time(s)')
%pause
%
%  compute the power spectrum using the Welch modified periodgram method
%
figure(2)
Fs=1024;
[Px,freq] = pwelch(ax,[],[],[],Fs);
[Py,freq] = pwelch(ay,[],[],[],Fs);
[Pz,freq] = pwelch(az,[],[],[],Fs);
subplot(3,1,1),plot(freq,Px),ylabel('Px');title('short epoxy');grid
subplot(3,1,2),plot(freq,Py),ylabel('Py');grid
subplot(3,1,3),plot(freq,Pz),ylabel('Pz'),xlabel('frequency (Hz)');grid
